Bug 1481445 - Ansible Automation: missing group id in manageiq payload
Summary: Ansible Automation: missing group id in manageiq payload
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: All
OS: All
medium
high
Target Milestone: GA
: 5.8.2
Assignee: Lucy Fu
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On: 1480019
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-14 21:44 UTC by Satoe Imaishi
Modified: 2017-10-24 00:39 UTC (History)
11 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1480019
Environment:
Last Closed: 2017-10-24 00:39:41 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-14 21:51:19 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/a6b6f14d4fdd6a4e7ca322f7022bd06a9a3c162a

commit a6b6f14d4fdd6a4e7ca322f7022bd06a9a3c162a
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Aug 10 22:29:55 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Aug 14 17:45:10 2017 -0400

    Merge pull request #15787 from lfu/ansible_manageiq_payload_group_1480019
    
    Add group in manageiq payload for ansible automation.
    (cherry picked from commit 61474a76d7561f78d686a27a78f89ade1c9bfe23)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1481445

 app/models/service_ansible_playbook.rb       | 1 +
 spec/models/service_ansible_playbook_spec.rb | 3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

Comment 3 Dmitry Misharov 2017-08-28 07:58:12 UTC
Fixed and verified in 5.8.2.0.20170824192913_b09a5f8. Group id is presented in manage iq payload. Example of payload:
{"manageiq": {
    "group": "groups/21",
    "api_url": "https://192.168.100.122",
    "service": "services/1",
    "user": "users/2",
    "api_token": "some_token",
    "action": "Provision"
}}

Comment 5 errata-xmlrpc 2017-10-24 00:39:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.